Subject: bug#78843: Various vtable bug fixes and enhancements

From: Augusto Stoffel <[email-masked]>
Date: Tue, 01 Jul 2025 12:46:11 +0200

On Mon, 30 Jun 2025 at 14:41, Stéphane Marks wrote:

> I had put in a restriction that enforced that a vtable should be
> inserted into a single buffer.  That broke comint-mime which renders a
> vtable from HTML in a temp buffer and then inserts the buffer's string
> into the shell buffer.  While that could be reworked, I sense that the
> single-buffer restriction is too defensive and less Emacsy.  What I
> will do instead is add documentation and a suggestion about invoking
> vtable functions when the current buffer is not the vtable buffer.

I don't remember why I did it that way (there must have been a reason)
but it does seem a bit eccentric and could be changed.  This is
specially true if there is something meaningful to be gained from the
restriction you thought of enforcing.